"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.phrases = exports.more30 = exports.lessLimitAnd30 = exports.exactHours = void 0;
const decline_word_1 = __importDefault(require("decline-word"));
exports.exactHours = {
    ru: [
        'Полночь',
        'Час ночи',
        'Два часа ночи',
        'Три часа ночи',
        'Четыре часа утра',
        'Пять часов утра',
        'Шесть часов утра',
        'Семь часов утра',
        'Восемь часов утра',
        'Девять часов утра',
        'Десять часов утра',
        'Одиннадцать часов дня',
        'Полдень',
        'Час дня',
        'Два часа дня',
        'Три часа дня',
        'Четыре часа дня',
        'Пять часов вечера',
        'Шесть часов вечера',
        'Семь часов вечера',
        'Восемь часов вечера',
        'Девять часов вечера',
        'Десять часов вечера',
        'Одиннадцать часов вечера',
    ],
    ua: [
        'Північ',
        'Перша ночі',
        'Друга ночі',
        'Третя ночі',
        'Четверта ранку',
        "П'ята ранку",
        'Шоста ранку',
        'Сьома ранку',
        'Восьма ранку',
        "Дев'ята ранку",
        'Десята ранку',
        'Одинадцята дня',
        'Південь',
        'Перша дня',
        'Друга дня',
        'Третя дня',
        'Четверта дня',
        "П'ята вечора",
        'Шоста вечора',
        'Сьома вечора',
        'Восьма вечора',
        "Дев'ята вечора",
        'Десята вечора',
        'Одинадцята вечора',
    ],
};
exports.lessLimitAnd30 = {
    ru: [
        'двенадцатого',
        'первого',
        'второго',
        'третьего',
        'четвёртого',
        'пятого',
        'шестого',
        'седьмого',
        'восьмого',
        'девятого',
        'десятого',
        'одиннадцатого',
    ],
    ua: [
        'на дванадцяту',
        'на першу',
        'на другу',
        'на третю',
        'на четверту',
        "на п'яту",
        'на шосту',
        'на сьому',
        'на восьму',
        "на дев'яту",
        'на десяту',
        'на одинадцяту',
    ],
};
exports.more30 = {
    ru: [
        'час',
        'два',
        'три',
        'четыре',
        'пять',
        'шесть',
        'семь',
        'восемь',
        'девять',
        'десять',
        'одиннадцать',
        'двенадцать',
    ],
    ua: [
        'перша',
        'друга',
        'третя',
        'четверта',
        "п'ята",
        'шоста',
        'сьома',
        'восьма',
        "дев'ята",
        'десята',
        'одинадцата',
        'дванадцата',
    ],
};
exports.phrases = {
    ru: {
        half: 'Половина',
        without: 'Без',
        minute: 'минуты',
        minute2: (n) => decline_word_1.default(n, 'минут', 'а', 'ы'),
        minute3: (n) => decline_word_1.default(n, 'минут', 'ы'),
    },
    ua: {
        half: 'Пів',
        without: 'За',
        minute: 'хвилину',
        minute2: (n) => decline_word_1.default(n, 'хвилин', 'а', 'и'),
        minute3: (n) => decline_word_1.default(n, 'хвилин', 'у', 'и'),
    },
};
if (typeof exports.default === 'function') {
    module.exports = exports.default;
    Object.assign(module.exports, exports);
}
